Description

Both on Linux and Windows the gethostbyname() function is marked as obsolete or deprecated and should, therefore, be replaced
by getaddrinfo().

Related issues:
Related to DCMTK - Bug #715: gethostbyaddr() is obsolete and should be replac... Closed 2017-01-27

History

#1 - 2017-03-10 17:01 - Jan Schlamelcher

- Assignee set to Thorben Hasenpusch

#2 - 2017-03-24 12:50 - Marco Eichelberg

- Target version set to 3.6.3

#3 - 2017-04-05 11:58 - Thorben Hasenpusch

I'm not sure how much value there is in replacing one function with the other.

Keeping the current API and just emulating what gethostbyname() does using getaddrinfo() is somewhat cumbersome, and it doesn't really get us
anything.
The chances that gethostbyname() vanishes in an OS release are, | think, very small.

The other option is to expose more-or-less the exact API of the new function as an addition to ofstd, analogous to the existing wrapper of
gethostbyname().

However, since its functionality cannot be emulated by the older function, that would mandate the existence of getaddrinfo() for all DMCTK targets; |
don't know if that is reasonable.

(This also applies to #715)

#4 - 2017-11-20 13:06 - Marco Eichelberg
- Status changed from New to Closed
- Assignee changed from Thorben Hasenpusch to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #77911e6 (public DCMTK) and #0c2f405 (private modules).
http://man7.org/linux/man-pages/man3/gethostbyname.3.html
https://msdn.microsoft.com/de-de/library/windows/desktop/ms738524.aspx
http://support.dcmtk.org/redmine/issues/715
http://www.tcpdf.org

